cdac.medinfo.sdk.hl7282.hl7model.messages.financialmanagement

## Class DFT_P11

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.financialmanagement.DFT_P11

-     public final class DFT_P11
      extends Message

  DFT_P11 - Post Detail Financial Transactions (Event P11). This message is used to describe a financial transaction transmitted between systems, that is, to the billing system for ancillary charges.Use to billing system for patient deposits, etc.

  Represents a DFT_P11 message structure (see chapter 6.4.8). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment ) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) SINGLE_OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6: PRT (Participation Segment) MULTIPLE_OPTIONAL
  7: ROL (Role) MULTIPLE_OPTIONAL
  8: PV1 (Patient Visit Segment) SINGLE_OPTIONAL
  9: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  10: ROL (Role) MULTIPLE_OPTIONAL
  11: DB1 (Disability) MULTIPLE_OPTIONAL
  12: COMMON_ORDER (a Group of segments in DFT_P11 message) MULTIPLE_OPTIONAL
  13: DG1 (Diagnosis Segment) MULTIPLE_OPTIONAL
  14: DRG (Diagnosis Related Group Segment) SINGLE_OPTIONAL
  15: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  16: INSURANCE (a Group of segments in DFT_P11 message) MULTIPLE_OPTIONAL
  17: ACC (Accident Segment) SINGLE_OPTIONAL
  18: FINANCIAL (a Group of segments in DFT_P11 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  DFT_P11 objP11 = (DFT_P11)MessageFactory.createInstance().createSendSupportedMessage("DFT", "P11");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommonOrderGroup(IGroup objGroup)` Adds Common Order GROUP to this message.
    `void` | `addCommonOrderGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Common Order GROUP to this message.
    `void` | `addDiagnosisInformationSegment(DG1 objDG1)` Adds Diagnosis Information(DG1) to this message.
    `void` | `addDiagnosisInformationSegment(ISingleCollection<DG1> objDG1SegmentCollection)` Adds collection of Diagnosis Information(DG1) to this message.
    `void` | `addDisabilityInformationSegment(DB1 objDB1)` Adds Disability Information(DB1) to this message.
    `void` | `addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)` Adds collection of Disability Information(DB1) to this message.
    `void` | `addFinancialGroup(IGroup objGroup)` Adds Financial GROUP to this message.
    `void` | `addFinancialGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Financial GROUP to this message.
    `void` | `addGuarantorSegment(GT1 objGT1)` Adds Guarantor(GT1) to this message.
    `void` | `addGuarantorSegment(ISingleCollection<GT1> objGT1SegmentCollection)` Adds collection of Guarantor(GT1) to this message.
    `void` | `addInsuranceGroup(IGroup objGroup)` Adds Insurance GROUP to this message.
    `void` | `addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Insurance GROUP to this message.
    `void` | `addParticipationSegment(PRT objPRT)` Adds Participation(PRT) Segment to this message.
    `void` | `addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of PArticipation(PRT) Segment to this message.
    `void` | `addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientIdentificationRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)` Adds collection of Role Segments(ROL) to this message.
    `void` | `addPatientVisitRoleSegment(ROL objROL)` Adds Role Segment(ROL) to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ACC` | `getAccidentInformationSegment()` Retrieves Accident Information segment(ACC) present in this message.
    `PD1` | `getAdditinalDemographicSegment()` Retrieves Additinal Demographics segment(PD1) present in this message.
    `ISingleCollection<IGroup>` | `getCommonOrderGroups()` Retrieves Collection of Common Order GROUP present in this message.
    `ISingleCollection<DG1>` | `getDiagnosisInformationSegments()` Retrieves Collection of Diagnosis Information(DG1) present in this message.
    `DRG` | `getDiagnosisRelatedGroupSegment()` Retrieves Diagnosis Related Group(DRG) segment present in this message.
    `ISingleCollection<DB1>` | `getDisabilityInformationSegments()` Retrieves Collection of Disability Information(DB1) present in this message.
    `EVN` | `getEventTypeSegment()` Retrieves Event Type(EVN) segment present in this message
    `ISingleCollection<IGroup>` | `getFinancialGroups()` Retrieves Collection of Financial GROUP present in this message.
    `ISingleCollection<GT1>` | `getGuarantorSegments()` Retrieves Collection of Guarantor(GT1) present in this message.
    `ISingleCollection<IGroup>` | `getInsuranceGroups()` Retrieves Collection of Insurance GROUP present in this message.
    `ISingleCollection<PRT>` | `getParticipationSegments()` Retrieves Collection of Participation(PRT) Segment present in this message.
    `ISingleCollection<ROL>` | `getPatientIdentificationRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `PV2` | `getPatientVisitAdditiionalInfoSegment()` Retrieves Patient Visit Additiional Info(PV2) segment present in this message.
    `ISingleCollection<ROL>` | `getPatientVisitRoleSegments()` Retrieves Collection of Role Segment(ROL) present in this message.
    `PV1` | `getPatientVisitSegment()` Retrieves Patient Visit(PV1) segment present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setAccidentInformationSegment(ACC objACC)` Sets value of Accident Information segment(ACC) for this message,overwrites if already present.
    `void` | `setAdditinalDemographicSegment(PD1 objPD1)` Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
    `void` | `setDiagnosisRelatedGroupSegment(DRG objDRG)` Sets value of Diagnosis Related Group segment for this message,overwrites if already present.
    `void` | `setEventTypeSegment(EVN objEVN)` Sets value of Event Type segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setPatientVisitAdditiionalInfoSegment(PV2 objPV2)` Sets value of Patient Visit Additiional Info(PV2) segment for this message,overwrites if already present.
    `void` | `setPatientVisitSegment(PV1 objPV1)` Sets value of PV1 segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getEventTypeSegment

          public EVN getEventTypeSegment()

      Retrieves Event Type(EVN) segment present in this message
      Returns:
        EVN - the EVN Segment present in this message or null if unavailable.

    - #### setEventTypeSegment

          public void setEventTypeSegment(EVN objEVN)

      Sets value of Event Type segment for this message,overwrites if already present.
      Parameters:
        `objEVN` - Specified EVN Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getAdditinalDemographicSegment

          public PD1 getAdditinalDemographicSegment()

      Retrieves Additinal Demographics segment(PD1) present in this message.
      Returns:
        PD1 - the Additinal Demographics(PD1) Segment. present in this message or null if unavailable.

    - #### setAdditinalDemographicSegment

          public void setAdditinalDemographicSegment(PD1 objPD1)

      Sets value of Additinal Demographics segment(PD1) for this message,overwrites if already present.
      Parameters:
        `objPD1` - Specified Additinal Demographics(PD1) Segment.

    - #### getParticipationSegments

          public ISingleCollection<PRT> getParticipationSegments()

      Retrieves Collection of Participation(PRT) Segment present in this message.
      Returns:
        ISingleCollection - collection of Participation(PRT) Segment present in message.

    - #### addParticipationSegment

          public void addParticipationSegment(PRT objPRT)

      Adds Participation(PRT) Segment to this message.
      Parameters:
        `objPRT` - Specified Participation(PRT) Segment to be added in this message.

    - #### addPaticipationSegments

          public void addPaticipationSegments(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of PArticipation(PRT) Segment to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation Segments to add in this message

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientIdentificationRoleSegment

          public void addPatientIdentificationRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientIdentificationRoleSegments

          public ISingleCollection<ROL> getPatientIdentificationRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### getPatientVisitSegment

          public PV1 getPatientVisitSegment()

      Retrieves Patient Visit(PV1) segment present in this message.
      Returns:
        PV1 - Patient Visit Segment present in this message or null if unavailable.

    - #### setPatientVisitSegment

          public void setPatientVisitSegment(PV1 objPV1)

      Sets value of PV1 segment for this message,overwrites if already present.
      Parameters:
        `objPV1` - Specified PV1 Segment

    - #### getPatientVisitAdditiionalInfoSegment

          public PV2 getPatientVisitAdditiionalInfoSegment()

      Retrieves Patient Visit Additiional Info(PV2) segment present in this message.
      Returns:
        PV2 - Patient Visit Segment present in this message or null if unavailable.

    - #### setPatientVisitAdditiionalInfoSegment

          public void setPatientVisitAdditiionalInfoSegment(PV2 objPV2)

      Sets value of Patient Visit Additiional Info(PV2) segment for this message,overwrites if already present.
      Parameters:
        `objPV2` - Specified PV2 Segment

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ROL objROL)

      Adds Role Segment(ROL) to this message.
      Parameters:
        `objROL` - Specified Role Segment to be added in message.

    - #### addPatientVisitRoleSegment

          public void addPatientVisitRoleSegment(ISingleCollection<ROL> objROLSegmentCollection)

      Adds collection of Role Segments(ROL) to this message.
      Parameters:
        `objROLSegmentCollection` - Collection of Role Segment(ROL) to add in this message

    - #### getPatientVisitRoleSegments

          public ISingleCollection<ROL> getPatientVisitRoleSegments()

      Retrieves Collection of Role Segment(ROL) present in this message.
      Returns:
        ISingleCollection - Collection of Role Segment(ROL) present in this message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(DB1 objDB1)

      Adds Disability Information(DB1) to this message.
      Parameters:
        `objDB1` - Specified Disability Information Segment to be added in message.

    - #### addDisabilityInformationSegment

          public void addDisabilityInformationSegment(ISingleCollection<DB1> objDB1SegmentCollection)

      Adds collection of Disability Information(DB1) to this message.
      Parameters:
        `objDB1SegmentCollection` - Collection of Disability Information(DB1) to add in this message

    - #### getDisabilityInformationSegments

          public ISingleCollection<DB1> getDisabilityInformationSegments()

      Retrieves Collection of Disability Information(DB1) present in this message.
      Returns:
        ISingleCollection - Collection of Disability Information(DB1) present in this message.

    - #### getCommonOrderGroups

          public ISingleCollection<IGroup> getCommonOrderGroups()

      Retrieves Collection of Common Order GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Common Order Group present in this Message.

    - #### addCommonOrderGroups

          public void addCommonOrderGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Common Order GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Common Order GROUP Collection.

    - #### addCommonOrderGroup

          public void addCommonOrderGroup(IGroup objGroup)

      Adds Common Order GROUP to this message.
      Parameters:
        `objGroup` - Specified Common Order GROUP.

    - #### addDiagnosisInformationSegment

          public void addDiagnosisInformationSegment(DG1 objDG1)

      Adds Diagnosis Information(DG1) to this message.
      Parameters:
        `objDG1` - Specified Diagnosis Information(DG1) Segment to this message.

    - #### addDiagnosisInformationSegment

          public void addDiagnosisInformationSegment(ISingleCollection<DG1> objDG1SegmentCollection)

      Adds collection of Diagnosis Information(DG1) to this message.
      Parameters:
        `objDG1SegmentCollection` - Collection of Diagnosis Information(DG1)segments to add in this message

    - #### getDiagnosisInformationSegments

          public ISingleCollection<DG1> getDiagnosisInformationSegments()

      Retrieves Collection of Diagnosis Information(DG1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis Information(DG1) segments present in this message.

    - #### getDiagnosisRelatedGroupSegment

          public DRG getDiagnosisRelatedGroupSegment()

      Retrieves Diagnosis Related Group(DRG) segment present in this message.
      Returns:
        DRG - Diagnosis Related Group Segment present in this message or null if unavailable.

    - #### setDiagnosisRelatedGroupSegment

          public void setDiagnosisRelatedGroupSegment(DRG objDRG)

      Sets value of Diagnosis Related Group segment for this message,overwrites if already present.
      Parameters:
        `objDRG` - Specified DRG Segment

    - #### addGuarantorSegment

          public void addGuarantorSegment(GT1 objGT1)

      Adds Guarantor(GT1) to this message.
      Parameters:
        `objGT1` - Specified Guarantor Segment to this message.

    - #### addGuarantorSegment

          public void addGuarantorSegment(ISingleCollection<GT1> objGT1SegmentCollection)

      Adds collection of Guarantor(GT1) to this message.
      Parameters:
        `objGT1SegmentCollection` - Collection of Guarantor(GT1) to add in this message

    - #### getGuarantorSegments

          public ISingleCollection<GT1> getGuarantorSegments()

      Retrieves Collection of Guarantor(GT1) present in this message.
      Returns:
        ISingleCollection - Collection of Guarantor(GT1) present in this message.

    - #### getInsuranceGroups

          public ISingleCollection<IGroup> getInsuranceGroups()

      Retrieves Collection of Insurance GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Insurance Group present

    - #### addInsuranceGroups

          public void addInsuranceGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Insurance GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Insurance GROUP Collection.

    - #### addInsuranceGroup

          public void addInsuranceGroup(IGroup objGroup)

      Adds Insurance GROUP to this message.
      Parameters:
        `objGroup` - Specified Insurance GROUP.

    - #### getAccidentInformationSegment

          public ACC getAccidentInformationSegment()

      Retrieves Accident Information segment(ACC) present in this message.
      Returns:
        ACC - the Accident Information(ACC) Segment. present in this message or null if unavailable.

    - #### setAccidentInformationSegment

          public void setAccidentInformationSegment(ACC objACC)

      Sets value of Accident Information segment(ACC) for this message,overwrites if already present.
      Parameters:
        `objACC` - Specified Accident Information(ACC) Segment.

    - #### getFinancialGroups

          public ISingleCollection<IGroup> getFinancialGroups()

      Retrieves Collection of Financial GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Financial Group present

    - #### addFinancialGroups

          public void addFinancialGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Financial GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Financial GROUP Collection.

    - #### addFinancialGroup

          public void addFinancialGroup(IGroup objGroup)

      Adds Financial GROUP to this message.
      Parameters:
        `objGroup` - Specified Financial GROUP.